@mixin font-face($font-family, $file-path, $font-weight, $font-style) {
  @font-face {
    font-family: $font-family;
      src: url('#{$file-path}.eot');
      src: url('#{$file-path}.eot?#iefix') format('embedded-opentype'),
           url('#{$file-path}.woff') format('woff'),
           url('#{$file-path}.ttf') format('truetype'),
           url('#{$file-path}.svg##{$font-family}') format('svg');
    font-weight: $font-weight;
    font-style: $font-style;
  }
  // Chrome for Windows rendering fix: https://www.adtrak.co.uk/blog/font-face-chrome-rendering/
  @media screen and (-webkit-min-device-pixel-ratio: 0) {
    @font-face {
      font-family: $font-family;
        src: url('#{$file-path}.svg##{$font-family}') format('svg');
    }
  }
}

// @include font-face(proxima_nova_ththin, '../fonts/nova/mark_simonson_-_proxima_nova_thin-webfont', normal, normal);
// @include font-face(proxima_nova_ltlight, '../fonts/nova/mark_simonson_-_proxima_nova_light-webfont', normal, normal);
// @include font-face(proxima_nova_rgregular, '../fonts/nova/mark_simonson_-_proxima_nova_regular-webfont', normal, normal);
// @include font-face(proxima_nova_rgbold, '../fonts/nova/mark_simonson_-_proxima_nova_bold-webfont', normal, normal);
@include font-face(icomoon, '../fonts/icomoon/icomoon', normal, normal);

$font-icomoon:                'icomoon' !default;


[class^="icon-"], [class*=" icon-"] {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: $font-icomoon !important;
  speak: none;
  font-style: normal;
  font-weight: 900;
  font-variant: normal;
  text-transform: none;
  display: inline-block;
  text-rendering: auto;
  line-height: 1;
  font-size: 1em;
  vertical-align: bottom;
  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}


.icon-chevron-with-circle-up:before {
  content: "\e900";
}
.icon-chevron-with-circle-right:before {
  content: "\e901";
}
.icon-chevron-with-circle-left:before {
  content: "\e902";
}
.icon-chevron-with-circle-down:before {
  content: "\e903";
}
.icon-chevron-thin-up:before {
  content: "\e904";
}
.icon-chevron-thin-right:before {
  content: "\e905";
}
.icon-chevron-thin-left:before {
  content: "\e906";
}
.icon-chevron-thin-down:before {
  content: "\e907";
}
.icon-arrow-up-left2:before {
  content: "\ea39";
}
.icon-arrow-up2:before {
  content: "\ea3a";
}
.icon-arrow-up-right2:before {
  content: "\ea3b";
}
.icon-arrow-right2:before {
  content: "\ea3c";
}
.icon-arrow-down-right2:before {
  content: "\ea3d";
}
.icon-arrow-down2:before {
  content: "\ea3e";
}
.icon-arrow-down-left2:before {
  content: "\ea3f";
}
.icon-arrow-left2:before {
  content: "\ea40";
}


.iconwtext{
  display: flex;
  position: relative;
  width: 100%;
  margin-bottom: 2rem;
  align-items: center;
  flex-wrap: wrap;
  &__icon{
    width: 100%;
    flex: 0 0 100%;
    max-width: 100%;
    margin-bottom: 1rem;
    @include respond-to(max-desktops){
      text-align: center;
    }
    @include respond-to(desktops){
      flex: 0 0 30%;
      max-width: 30%;
      margin-bottom: 0rem;
    }
  }
  &__text{
    width: 100%;
    flex: 0 0 100%;
    max-width: 100%;
    @include respond-to(max-desktops){
      text-align: center;
    }
    @include respond-to(desktops){
      flex: 0 0 70%;
      max-width: 70%;
    }
    
  }  
}